import { Point } from '../types/point.type';
import { Route } from '../types/route.type';

export interface RouteProviderPort {
  /**
   * Get a basic route :
   * - simple points (coordinates only)
   * - overall duration
   * - overall distance
   */
  getBasic(waypoints: Point[]): Promise<Route>;
  /**
   * Get a detailed route :
   * - detailed points (coordinates and time / distance to reach the point)
   * - overall duration
   * - overall distance
   */
  getDetailed(waypoints: Point[]): Promise<Route>;
}
