import { AggregateRoot, AggregateID } from '@mobicoop/ddd-library';
import { v4 } from 'uuid';
import { CreateMatchingProps, MatchingProps } from './matching.types';

export class MatchingEntity extends AggregateRoot<MatchingProps> {
  protected readonly _id: AggregateID;

  static create = (create: CreateMatchingProps): MatchingEntity => {
    const id = v4();
    const props: MatchingProps = {
      ...create,
    };
    return new MatchingEntity({ id, props });
  };

  validate(): void {
    // entity business rules validation to protect it's invariant before saving entity to a database
  }
}
