import { ExceptionBase } from '@mobicoop/ddd-library';

export class RouteNotFoundException extends ExceptionBase {
  static readonly message = 'Route not found';

  public readonly code = 'ROUTE.NOT_FOUND';

  constructor(cause?: Error, metadata?: unknown) {
    super(RouteNotFoundException.message, cause, metadata);
  }
}

export class GeorouterUnavailableException extends ExceptionBase {
  static readonly message = 'Georouter unavailable';

  public readonly code = 'GEOROUTER.UNAVAILABLE';

  constructor(cause?: Error, metadata?: unknown) {
    super(GeorouterUnavailableException.message, cause, metadata);
  }
}
